ProtocolManagerFactory (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.spi.core.protocol

## Interface ProtocolManagerFactory<P extends BaseInterceptor>

- All Known Implementing Classes:
    AbstractProtocolManagerFactory

      public interface ProtocolManagerFactory<P extends BaseInterceptor>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtocolManager` | `createProtocolManager(org.apache.activemq.artemis.core.server.ActiveMQServer server, List<P> incomingInterceptors, List<P> outgoingInterceptors)` When you create the ProtocolManager, you should filter out any interceptors that won't belong to this Protocol.
    `List<P>` | `filterInterceptors(List<BaseInterceptor> interceptors)` This should get the entire list and only return the ones this factory can deal with *
    `String` | `getModuleName()`
    `String[]` | `getProtocols()`

- - ### Method Detail

    - #### createProtocolManager

          ProtocolManager createProtocolManager(org.apache.activemq.artemis.core.server.ActiveMQServer server,
                                                List<P> incomingInterceptors,
                                                List<P> outgoingInterceptors)

      When you create the ProtocolManager, you should filter out any interceptors that won't belong to this Protocol. For example don't send any core Interceptors `Interceptor` to Stomp * * *
      Parameters:
        `server` -
        `incomingInterceptors` -
        `outgoingInterceptors` -
      Returns:

    - #### filterInterceptors

          List<P> filterInterceptors(List<BaseInterceptor> interceptors)

      This should get the entire list and only return the ones this factory can deal with *
      Parameters:
        `interceptors` -
      Returns:

    - #### getProtocols

          String[] getProtocols()

    - #### getModuleName

          String getModuleName()

Copyright © 2015. All rights reserved.